Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Class PropertyBatchUpdateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.PropertyBatchUpdateException

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyBatchUpdateException

extends BeansException

Combined exception, composed of individual PropertyAccessException instances. An object of this class is created at the beginning of the binding process, and errors added to it as necessary.

The binding process continues when it encounters application-level PropertyAccessExceptions, applying those changes that can be applied and storing rejected changes in an object of this class.

Since:
  18 April 2001
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`PropertyBatchUpdateException(PropertyAccessException[] propertyAccessExceptions)` Create a new PropertyBatchUpdateException.

Method Summary
`boolean` | `contains(java.lang.Class exType)` Check whether this exception contains an exception of the given type: either it is of the given class itself or it contains a nested cause of the given type.
`int` | `getExceptionCount()` If this returns 0, no errors were encountered during binding.
`java.lang.String` | `getMessage()` Return the detail message, including the message from the nested exception if there is one.
`PropertyAccessException` | `getPropertyAccessException(java.lang.String propertyName)` Return the exception for this field, or `null` if there isn't any.
`PropertyAccessException[]` | `getPropertyAccessExceptions()` Return an array of the propertyAccessExceptions stored in this object.
`void` | `printStackTrace(java.io.PrintStream ps)`
`void` | `printStackTrace(java.io.PrintWriter pw)`
`java.lang.String` | `toString()`

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyBatchUpdateException

    public PropertyBatchUpdateException(PropertyAccessException[] propertyAccessExceptions)

  Create a new PropertyBatchUpdateException.

  Parameters:
    `propertyAccessExceptions` - the List of PropertyAccessExceptions

Method Detail

### getExceptionCount

    public final int getExceptionCount()

  If this returns 0, no errors were encountered during binding.

### getPropertyAccessExceptions

    public final PropertyAccessException[] getPropertyAccessExceptions()

  Return an array of the propertyAccessExceptions stored in this object.

  Will return the empty array (not `null`) if there were no errors.

### getPropertyAccessException

    public PropertyAccessException getPropertyAccessException(java.lang.String propertyName)

  Return the exception for this field, or `null` if there isn't any.

### getMessage

    public java.lang.String getMessage()

  Description copied from class: `NestedRuntimeException`
  Return the detail message, including the message from the nested exception if there is one.

  Overrides:
    `getMessage` in class `NestedRuntimeException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### contains

    public boolean contains(java.lang.Class exType)

  Description copied from class: `NestedRuntimeException`
  Check whether this exception contains an exception of the given type: either it is of the given class itself or it contains a nested cause of the given type.

  Overrides:
    `contains` in class `NestedRuntimeException`
  Parameters:
    `exType` - the exception type to look for
  Returns:
    whether there is a nested exception of the specified type

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD